﻿Structure ICONDIRENTRY
   bWidth.a       ; Width, in pixels, of the image
   bHeight.a      ; Height, in pixels, of the image
   bColorCount.a  ; Number of colors in image (0 if >=8bpp)
   bReserved.a    ; Reserved ( must be 0)
   wPlanes.w      ; Color Planes
   wBitCount.w    ; Bits per pixel
   dwBytesInRes.l ; How many bytes in this resource?
   dwImageOffset.l; Where in the file is this image?
EndStructure

Structure ICONDIR
   idReserved.w ; Reserved (must be 0)
   idType.w     ; Resource Type (1 for icons)
   idCount.w    ; How many images?
   Array idEntries.ICONDIRENTRY(1) ;An entry for each image (idCount of 'em)
 EndStructure
 
; Debug SizeOf(ICONDIRENTRY);16
f$="combine.ico"
f$="0001_00002.ico"


If ReadFile(0,f$)
  idreserved.u=ReadUnicodeCharacter(0);reserved (must be 0)
  idtype.u=ReadUnicodeCharacter(0);resource type (1 for icons)
  idcount.u=ReadUnicodeCharacter(0);how many images?
  If idcount
    idc.ICONDIRENTRY
    For i=1 To idcount
      Debug "------"+Str(i)+"------"
      ReadData(0,@idc,SizeOf(ICONDIRENTRY))
      Debug "width="+Str(idc\bWidth)
      Debug "height="+Str(idc\bHeight)
      Debug "number of colors="+Str(idc\bColorCount)
      Debug "reserved="+Str(idc\bReserved)
      Debug "color planes="+Str(idc\wPlanes)
      Debug "Bits per pixel="+Str(idc\wBitCount)
      Debug "Bytes for resource="+Str(idc\dwBytesInRes)
      Debug "Offset="+Str(idc\dwImageOffset)
    Next i
  Else
    Debug "zero count entries"
  EndIf
  CloseFile(0)
Else
  Debug "error read:"+f$
EndIf
; IDE Options = PureBasic 5.30 (Windows - x86)
; CursorPosition = 20
; EnableUnicode
; EnableXP